@font-face {
    font-family: 'font-regular';
    src: url("./PionerSans-Regular.ttf");
}

html {
    scroll-behavior: smooth;
}

* {
    box-sizing: border-box;
    font-family: "font-regular";
}

body {
    margin: 0;
}

.linkContainer {
    display: flex;
    justify-content: center;
}

.links {
    display: flex;
    flex-direction: column;
    flex: 0 0 50%;
}

.links a {
    text-decoration: unset;
    font-weight: 600;
    font-size: 17px;
    line-height: 24px;
    color: #555555;
}

.table thead td {
    text-align: center;
    font-size: 17px;
    font-weight: bold;
}

.table tbody td {
    vertical-align: top;
    width: 50%;
}

.table tbody p {
    margin: 0;
    text-align: justify;
    font-size: 16px;
}

#dragParent {
    display: none;
    width: 100%;
    max-width: 1320px;
    height: 100%;
    margin: 20px auto;
    position: relative;
}

#dragChild {
    position: absolute;
    will-change: transform;
    width: 43px;
    height: 321px;
    transform: translate3d(55px, 100px, 0px);
    filter: drop-shadow(1px 1px 0 yellow) drop-shadow(-1px -1px 0 yellow);
    touch-action: none;
    user-select: none;
}

#dragChild:hover {
    cursor: grab;
}


.modalDragClass {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modalDragContentClass {
    background-color: #fefefe;
    margin: 15% auto;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 12px;
}

.modalDragContentTitleClass {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-bottom: 1px solid #dee2e6;
}

.modalDragContentTitleClass h5 {
    font-size: 20px;
    margin: 0;
}

.modalDragContentBodyClass {
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.modalDragContentBodyClass h3 {
    text-align: center;
    margin: 0;
}

.modalDragContentBodyClass a {
    background-color: #d4480d;
    height: 46px;
    padding-left: 54px;
    padding-right: 54px;
    outline: 0;
    border: 0;
    margin: 20px 0 0;
    border-radius: 12px;
    padding: 0;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    color: #ffffff;
    text-decoration: none;
}

.modalDragContentBodyClass a:visited {
    color: #ffffff;
}

.modalDragCloseClass {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.modalDragCloseClass:hover,
.modalDragCloseClass:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.iksweb {
    display: inline-block;
    cursor: pointer;
    font-size: 18px;
    text-decoration: none;
    padding: 5px 15px;
    margin: 3px;
    color: #228b22;
    border-radius: 0px;
    border: 2px solid #228b22;
}

.iksweb:hover {
    background: #ffd800;
    color: #ffffff;
    border: 2px solid #ffd800;
    transition: all 0.2s ease;
}

.content {
    margin: 0 auto;
    max-width: 700px;
}



/* Style the tab */
.tab {
    float: left;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
    width: 30%;
    /* height: 300px; */
}

/* Style the buttons that are used to open the tab content */
.tab button {
    display: block;
    background-color: inherit;
    color: black;
    padding: 22px 16px;
    width: 100%;
    border: none;
    outline: none;
    text-align: left;
    cursor: pointer;
    transition: 0.3s;
    font-size: 15px;
    font-weight: bold;
}

/* Change background color of buttons on hover */
.tab button:hover {
    background-color: #ddd;
}

/* Create an active/current "tab button" class */
.tab button.active {
    background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
    float: left;
    padding: 0px 12px;
    width: 70%;
    border-left: none;
}

h2,
h3 {
    text-align: center;
}


.donateContainer {
    display: flex;
    justify-content: center;
    align-self: center;
    margin-bottom: 20px;
}

#donate {
    outline: none;
    text-align: center;
    width: 300px;
    border-radius: 10px;
    border: 2px solid #d400efb5;
    color: #ffffff;
    letter-spacing: 1px;
    font-size: 18px;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.25s ease;
    background: #4b48eb;
    padding: 10px 20px;
    display: block;
    text-decoration: none;
}

#donate:hover {
    color: white;
    background: #9207b5;
}

#donate:active {
    letter-spacing: 2px;
}

/* MODAL */
.modalDragClass {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5);
}

.modalDragClass #donate {
    width: auto;
}

.modalDragContentClass {
    font-family: CyrillicOld, sans-serif;
    background-color: #fefefe;
    margin: 15% auto;
    border: 1px solid #888;
    width: 80%;
    max-width: 500px;
    border-radius: 12px;
}

.modalDragContentTitleClass {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px;
    border-bottom: 1px solid #dee2e6;
}

.modalDragContentTitleClass h5 {
    font-size: 20px;
    margin: 0;
    text-align: center;
    width: 100%;
}

.modalDragContentBodyClass {
    padding: 20px;
    display: flex;
    flex-direction: column;
}

.modalDragContentBodyClass h3 {
    text-align: center;
    margin: 0;
}

.modalDragContentBodyClass a {
    background-color: #d4480d;
    height: 46px;
    padding-left: 54px;
    padding-right: 54px;
    outline: 0;
    border: 0;
    margin: 20px 0 0;
    border-radius: 12px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
    color: #ffffff;
    text-decoration: none;
}

.modalDragContentBodyClass a:visited {
    color: #ffffff;
}

.modalDragCloseClass {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.modalDragCloseClass:hover,
.modalDragCloseClass:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Копировать от сюда */
.topnav {
    overflow: hidden;
    background-color: #333;
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
}


.topnav a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 18px;
}

.topnav a:not(.headerIcon, .headerCallSpecialist, .headerMail):hover {
    background-color: #ddd;
    color: black;
}

.topnav a.active {
    background-color: #4b48eb;
    color: white;
}

.topnav img {
    width: 45px;
    height: 45px;
}

.headerButtons a:not(:last-child) {
    margin-right: 10px;
}

.headerIcon.headerIcon {
    padding: 0;
}


.headerCallSpecialist {
    border: 1px solid #4b48eb;
    border-radius: 25px;
}


.burger-checkbox {
    position: absolute;
    visibility: hidden;
}

.burger {
    position: relative;
    z-index: 1;
    cursor: pointer;
    display: block;
    position: relative;
    border: none;
    background: transparent;
    width: 40px;
    height: 26px;
    z-index: 101;
}

.burger::before,
.burger::after {
    content: '';
    left: 0;
    position: absolute;
    display: block;
    width: 100%;
    height: 4px;
    border-radius: 10px;
    background: #fff;
}

.burger::before {
    top: 0;
    box-shadow: 0 11px 0 #fff;
    transition: box-shadow .3s .15s, top .3s .15s, transform .3s;
}

.burger::after {
    bottom: 0;
    transition: bottom .3s .15s, transform .3s;
}

.burger-checkbox:checked+.burger::before {
    top: 11px;
    transform: rotate(45deg);
    box-shadow: 0 6px 0 rgba(0, 0, 0, 0);
    transition: box-shadow .15s, top .3s, transform .3s .15s;
}

.burger-checkbox:checked+.burger::after {
    bottom: 11px;
    transform: rotate(-45deg);
    transition: bottom .3s, transform .3s .15s;
}

.burger-checkbox:checked body{
    background-color: red;
}

.menu-list {
    top: 0;
    left: 0;
    position: absolute;
    padding: 42px 0;
    margin: 0;
    background: #333;
    list-style-type: none;
    transform: translateX(-100%);
    transition: .3s;
    width: 100%;
    z-index: 100;
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.menu-list a {
    margin-top: 10px;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 18px;
}

.menu-item:hover {
    background: rgba(255, 255, 255, .2)
}

.burger-checkbox:checked~.menu-list {
    transform: translateX(0);
}

/* Копировать до сюда */


@keyframes rotating {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}


@keyframes rotating {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/* Копировать от сюда */
@media (width >=600px) and (width <=1000px) {
    .topnav {
        flex-direction: column;
    }

    .headerLinks {
        align-self: flex-start;
    }

    .headerButtons {
        align-self: flex-end;
    }
}

@media (width >= 600px) {
    .menu,.mobileHeaderLink {
        display: none;
    }
}

@media (width < 600px) {

    .headerLinks {
        display: none;
    }

    .headerButtons {
        display: none;
    }
}

/* Копировать до сюда сюда */

@media (width <=700px) {
    .linkContainer {
        flex-direction: column;
    }


    .tab {
        border: 1px solid #ccc;
        background-color: #f1f1f1;
        display: flex;
        overflow: scroll;
        width: 100%;
    }

    .tab button {
        padding: 20px 20px;
        width: 100%;
        white-space: nowrap;
    }

    .tabcontent {
        float: none;
        width: 100%;
    }

    .content {
        padding: 0 10px;
        text-align: justify;
    }
}


/* First block */

.welcomeBlock {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-image: url('./astrological-background-with-zodiac-signs-symbol_521059-7759.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    margin-bottom: 10px;
    text-align: center;
}

.welcomeBlockTitle {
    font-size: 28px;
    padding-bottom: 10px;
}

.welcomeBlockSubTitle {
    font-size: 24px;
    padding-bottom: 10px;
}